"Required component(s) missing : [ oracle.fmwconfig.wls, 12.1.3.0.0 ]" When Applying Patch 20674616 On ODI 12.1.3.0.0 Standalone Installation (Doc ID 2000947.1)

Last updated on FEBRUARY 08, 2017

Applies to:

Oracle Data Integrator - Version 12.1.3.0.0 to 12.1.3.0.0 [Release 12c]
Information in this document applies to any platform.

Symptoms

Upgrading to ODI 12.1.3.0.1 by applying <Patch 20042369> includes the installation of the OWS <Patch 20674616>.

That installation on Oracle Data Integrator:

...
Prerequisite check "CheckApplicable" failed.
The details are:
Patch 20674616: Required component(s) missing : [ oracle.fmwconfig.wls, 12.1.3.0.0 ]
Log file location: /u01/ODI12c/cfgtoollogs/opatch/20674616_Apr_17_2015_04_50_21/apply2015-04-17_04-50-11AM_1.log

Recommended actions: This patch requires some components to be installed in the home. Either the Oracle Home doesn't have the components or this patch is not suitable for this Oracle Home.

OPatch failed with error code 39

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms